# ProblemSummariesEvent

@Incubating
interface ProblemSummariesEvent : ProblemEvent

The event capturing all problems summaries. A summary will be sent for every problem id that exceeds the threshold amount. This also means only events up to the threshold will be sent. The objects contain the problem id that exceeded the threshold and the amount by how much it exceeded it. Before the build finishes this event will be received event if the list is empty.

#### Since

8.12

#### See also

ProblemSummary

## Functions

getDescriptor
Link copied to clipboard
abstract fun getDescriptor(): OperationDescriptor
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getEventTime
Link copied to clipboard
abstract fun getEventTime(): Long
getProblemSummaries
Link copied to clipboard
abstract fun getProblemSummaries(): List<ProblemSummary>
Get problems summaries.